Bug 239294 - CVE-2007-1383 Integer overflow in the 16 bit variable reference counter.
Summary: CVE-2007-1383 Integer overflow in the 16 bit variable reference counter.
Status: CLOSED DUPLICATE of bug 240158
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php   
(Show other bugs)
Version: 4.5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-07 13:35 UTC by paul boin
Modified: 2007-11-17 01:14 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 15:43:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description paul boin 2007-05-07 13:35:26 UTC
Integer overflow in the 16 bit variable reference counter in PHP 4 allows
context-dependent attackers to execute arbitrary code by overflowing this
counter, which causes the same variable to be destroyed twice, a related issue
to CVE-2007-1286.

NOTE:  CVE-2007-1286 was fixed in Red Hat Errata RHSA-2007:0155.  That Errata
notice however, does not indicate that it closes CVE-2007-1383.

    * MISC:http://www.php-security.org/MOPB/MOPB-01-2007.html
    * GENTOO:GLSA-200703-21
    * URL:http://security.gentoo.org/glsa/glsa-200703-21.xml
    * BID:22765
    * URL:http://www.securityfocus.com/bid/22765
    * SECUNIA:24606
    * URL:http://secunia.com/advisories/24606

Comment 1 paul boin 2007-05-07 14:42:51 UTC
Bug #230556 mentions this CVE, but I don't see a published Errata on it.



Comment 2 Joe Orton 2007-05-15 15:43:06 UTC

*** This bug has been marked as a duplicate of 240158 ***


Note You need to log in before you can comment on or make changes to this bug.